Bug 518347 - setroubleshoot: SELinux is preventing 10-dhclient (devicekit_power_t) "search" dhcp_etc_t.
Summary: setroubleshoot: SELinux is preventing 10-dhclient (devicekit_power_t) "s...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:26e1c024ea6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 01:46 UTC by Rodd Clarkson
Modified: 2009-10-25 05:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-20 13:13:06 UTC
Type: ---


Attachments (Terms of Use)

Description Rodd Clarkson 2009-08-20 01:46:32 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing 10-dhclient (devicekit_power_t) "search" dhcp_etc_t.

Detailed Description:

SELinux denied access requested by 10-dhclient. It is not expected that this
access is required by 10-dhclient and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:devicekit_power_t:s0-s0:c0.c1023
Target Context                system_u:object_r:dhcp_etc_t:s0
Target Objects                dhclient.d [ dir ]
Source                        10-dhclient
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.28-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.26-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.125.4.2.rc5.git2.fc12.x86_64 #1 SMP Tue
                              Aug 11 21:00:45 EDT 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Thu 20 Aug 2009 11:43:58 EST
Last Seen                     Thu 20 Aug 2009 11:43:58 EST
Local ID                      4889f3b2-cd0c-4dee-8e33-adc4b066a5a8
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1250732638.987:21): avc:  denied  { search } for  pid=1537 comm="10-dhclient" name="dhclient.d" dev=dm-5 ino=20624 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:dhcp_etc_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1250732638.987:21): avc:  denied  { getattr } for  pid=1537 comm="10-dhclient" path="/etc/dhcp/dhclient.d/nis.sh" dev=dm-5 ino=20625 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:dhcp_etc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1250732638.987:21): arch=c000003e syscall=4 success=yes exit=0 a0=f28ba0 a1=7fff62b45330 a2=7fff62b45330 a3=7fff62b45190 items=0 ppid=1484 pid=1537 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="10-dhclient" exe="/bin/bash" subj=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= devicekit_power_t ==============
allow devicekit_power_t dhcp_etc_t:dir search;
allow devicekit_power_t dhcp_etc_t:file getattr;

Comment 1 Daniel Walsh 2009-08-20 13:13:06 UTC
Fixed in selinux-policy-3.6.28-3.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.